# Bluefish HTML Editor
# Copyright (C) 1998 Olivier Sessink and Chris Mazuc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SHELL = /bin/sh
VPATH = @srcdir@

PACKAGE = @PACKAGE@
VERSION = @VERSION@


top_srcdir = @top_srcdir@
srcdir = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
bindir = $(exec_prefix)/bin
infodir = $(prefix)/info
mandir = @mandir@
localedir = @localedir@
gnulocaledir = $(prefix)/share/locale
aliaspath = $(localedir):.

CC = @CC@
CFLAGS = @CFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @INTLLIBS@ @LIBS@
INSTALL = @INSTALL@

OBJS = bluefish.1

all: bluefish
bluefish: 

clean:
	rm -f core *~ *.bak

patchclean: clean
	rm -f *.orig *.rej Makefile 

distclean: patchclean

install: all
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 644 ./$(OBJS) $(DESTDIR)$(mandir)/man1/$(OBJS)

uninstall:
	/bin/rm -f $(mandir)/$(OBJS)
